Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire
Interface XFire

All Superinterfaces:
  HandlerSupport

All Known Implementing Classes:
  DefaultXFire, LoomXFire, PlexusXFire

    public interface XFire

extends HandlerSupport

Central processing point for XFire. This can be instantiated programmatically by using one of the implementations (such as `DefaultXFire` or can be managed by a container like Pico or Plexus.

Central, however, does not mean that there can be only one. Implementations can be very lightweight, creating fast generic SOAP processors.

Since:
  Feb 18, 2004
Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `ROLE`

Method Summary
`void` | `generateWSDL(java.lang.String service, java.io.OutputStream out)` Generate WSDL for a service.
`java.util.List` | `getFaultPhases()`
`java.util.List` | `getInPhases()`
`java.util.List` | `getOutPhases()`
`ServiceRegistry` | `getServiceRegistry()` Get the `ServiceRegistry`.
`TransportManager` | `getTransportManager()` Get the `TransportManager`.

Methods inherited from interface org.codehaus.xfire.handler.HandlerSupport
`getFaultHandlers, getInHandlers, getOutHandlers`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### generateWSDL

    void generateWSDL(java.lang.String service,
                      java.io.OutputStream out)

  Generate WSDL for a service.

  Parameters:
    `service` - The name of the service.
    `out` - The OutputStream to write the WSDL to.

### getServiceRegistry

    ServiceRegistry getServiceRegistry()

  Get the `ServiceRegistry`.

### getTransportManager

    TransportManager getTransportManager()

  Get the `TransportManager`.

### getInPhases

    java.util.List getInPhases()

### getOutPhases

    java.util.List getOutPhases()

### getFaultPhases

    java.util.List getFaultPhases()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.